gtkmm: Gtk::CellRendererProgress Class Reference

gtkmm 2.24.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Related Functions

# Gtk::CellRendererProgress Class Reference
TreeView Classes

Renders numbers as progress bars. More...

Inheritance diagram for Gtk::CellRendererProgress:
[legend]
Collaboration diagram for Gtk::CellRendererProgress:
[legend]

List of all members.

## Public Member Functions
virtual | ~CellRendererProgress ()
GtkCellRendererProgress* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkCellRendererProgress* | gobj () const
| Provides access to the underlying C GtkObject.
| CellRendererProgress ()
Glib::PropertyProxy< int > | property_value ()
| Value of the progress bar.
Glib::PropertyProxy_ReadOnly< int > | property_value () const
| Value of the progress bar.
Glib::PropertyProxy < Glib::ustring > | property_text ()
| Text on the progress bar.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_text () const
| Text on the progress bar.
Glib::PropertyProxy< int > | property_pulse ()
| Set this to positive values to indicate that some progress is made, but you don't know how much.
Glib::PropertyProxy_ReadOnly< int > | property_pulse () const
| Set this to positive values to indicate that some progress is made, but you don't know how much.
Glib::PropertyProxy< float > | property_text_xalign ()
| The horizontal text alignment, from 0 (left) to 1 (right).
Glib::PropertyProxy_ReadOnly < float > | property_text_xalign () const
| The horizontal text alignment, from 0 (left) to 1 (right).
Glib::PropertyProxy< float > | property_text_yalign ()
| The vertical text alignment, from 0 (top) to 1 (bottom).
Glib::PropertyProxy_ReadOnly < float > | property_text_yalign () const
| The vertical text alignment, from 0 (top) to 1 (bottom).
Glib::PropertyProxy < ProgressBarOrientation > | property_orientation ()
| Orientation and growth direction of the progress bar.
Glib::PropertyProxy_ReadOnly < ProgressBarOrientation > | property_orientation () const
| Orientation and growth direction of the progress bar.
## Related Functions
(Note that these are not member functions.)
Gtk::CellRendererProgress* | wrap (GtkCellRendererProgress* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Renders numbers as progress bars.

Since gtkmm 2.6:

## Constructor & Destructor Documentation

virtual Gtk::CellRendererProgress::~CellRendererProgress | ( |  | ) | `[virtual]`

Gtk::CellRendererProgress::CellRendererProgress | ( |  | ) |

## Member Function Documentation

GtkCellRendererProgress* Gtk::CellRendererProgress::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::CellRenderer.

const GtkCellRendererProgress* Gtk::CellRendererProgress::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::CellRenderer.

Glib::PropertyProxy<ProgressBarOrientation> Gtk::CellRendererProgress::property_orientation | ( |  | ) |

Orientation and growth direction of the progress bar.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<ProgressBarOrientation> Gtk::CellRendererProgress::property_orientation | ( |  | ) | const

Orientation and growth direction of the progress bar.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gtk::CellRendererProgress::property_pulse | ( |  | ) | const

Set this to positive values to indicate that some progress is made, but you don't know how much.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gtk::CellRendererProgress::property_pulse | ( |  | ) |

Set this to positive values to indicate that some progress is made, but you don't know how much.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gtk::CellRendererProgress::property_text | ( |  | ) | const

Text on the progress bar.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gtk::CellRendererProgress::property_text | ( |  | ) |

Text on the progress bar.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<float> Gtk::CellRendererProgress::property_text_xalign | ( |  | ) |

The horizontal text alignment, from 0 (left) to 1 (right).

Reversed for RTL layouts.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<float> Gtk::CellRendererProgress::property_text_xalign | ( |  | ) | const

The horizontal text alignment, from 0 (left) to 1 (right).

Reversed for RTL layouts.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<float> Gtk::CellRendererProgress::property_text_yalign | ( |  | ) |

The vertical text alignment, from 0 (top) to 1 (bottom).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<float> Gtk::CellRendererProgress::property_text_yalign | ( |  | ) | const

The vertical text alignment, from 0 (top) to 1 (bottom).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gtk::CellRendererProgress::property_value | ( |  | ) |

Value of the progress bar.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gtk::CellRendererProgress::property_value | ( |  | ) | const

Value of the progress bar.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Gtk::CellRendererProgress* wrap | ( | GtkCellRendererProgress * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/cellrendererprogress.h